Bug 17267 - Document koha-create --adminuser
Summary: Document koha-create --adminuser
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Packaging (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Magnus Enger
QA Contact: Marcel de Rooy
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-09-07 12:34 UTC by Magnus Enger
Modified: 2017-12-07 22:16 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 17267 - Document koha-create --adminuser (2.36 KB, patch)
2016-09-08 12:59 UTC, Magnus Enger
Details | Diff | Splinter Review
Bug 17267 - Document koha-create --adminuser (2.50 KB, patch)
2016-09-09 03:35 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 17267 - Document koha-create --adminuser (2.60 KB, patch)
2016-09-09 06:39 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Magnus Enger 2016-09-07 12:34:19 UTC
In the man page for koha-create, the --adminuser option is mentioned in the synopsis, but not explained further in the same way as the other options.
Comment 1 Magnus Enger 2016-09-08 12:59:13 UTC Comment hidden (obsolete)
Comment 2 Liz Rea 2016-09-09 03:35:43 UTC Comment hidden (obsolete)
Comment 3 Marcel de Rooy 2016-09-09 06:39:43 UTC
Created attachment 55396 [details] [review]
Bug 17267 - Document koha-create --adminuser

A description of --adminuser was missing from debian/docs/koha-create.xml
This patch adds a description in the Options section, as well as under
DEFAULTSQL in the list of configuration variables.

To test:
Run these commands and look at the formatted man page:
$ xsltproc /usr/share/xml/docbook/stylesheet/docbook-xsl/manpages/docbook.xsl \
  debian/docs/koha-create.xml
$ man -l koha-create.8

Make sure this test passes:
$ prove -v xt/verify-debian-docbook.t

Signed-off-by: Liz Rea <liz@catalyst.net.nz>
Edited commit message to fix typo - koha-mysql -> koha-create as that's what we're testing. :)

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Kyle M Hall 2016-09-09 10:25:58 UTC
Pushed to master for 16.11, thanks Magnus!
Comment 5 Frédéric Demians 2016-09-13 06:44:00 UTC
Pushed in 16.05. Will be in 16.05.04.
Comment 6 Julian Maurice 2016-09-16 08:38:58 UTC
Pushed to 3.22.x, will be in 3.22.11